org.eclipse.actf.model.dom.odf.draw

## Interface FrameElement

All Superinterfaces:
  DrawingObjectBaseElement, DrawingObjectElement, Element, Node, ODFElement

    public interface FrameElement
    extends DrawingObjectElement

Interface for <draw:frame> element.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`int` `getAttrDrawZIndex()` Return draw:z-index attribute
`String` `getAttrSvgHeight()` Return svg:height attribute
`String` `getAttrSvgWidth()` Return svg:width attribute
`String` `getAttrSvgX()` Return svg:x attribute
`String` `getAttrSvgY()` Return svg:y attribute
`String` `getAttrTableEndCellAddress()` Return table:end-cell-address attribute
`String` `getAttrTableEndX()` Return table:end-x attribute
`String` `getAttrTableEndY()` Return table:end-y attribute
`Iterator<ODFElement>` `getChildIterator()` Return iterator for child elements
`long` `getContentSize()` Return number of child elements

### Methods inherited from interface org.eclipse.actf.model.dom.odf.base.DrawingObjectElement

`getAttrDrawCaptionId, getBoundCaptionTextBoxElement, getBoundCaptionTextBoxElement, getHeight, getPageIndex, getWidth, getX, getY, getZIndex, setHeight, setWidth, setX, setY`

### Methods inherited from interface org.eclipse.actf.model.dom.odf.base.DrawingObjectBaseElement

`getLongDescElement, getLongDescElement, getShortDescElement, getShortDescElement, getSVGDescElement, getSVGTitleElement`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getAttrTableEndCellAddress

    String getAttrTableEndCellAddress()

Return table:end-cell-address attribute

Returns:
  String

#### getAttrTableEndX

    String getAttrTableEndX()

Return table:end-x attribute

Returns:
  String

#### getAttrTableEndY

    String getAttrTableEndY()

Return table:end-y attribute

Returns:
  String

#### getAttrDrawZIndex

    int getAttrDrawZIndex()

Return draw:z-index attribute

Returns:
  int

#### getAttrSvgWidth

    String getAttrSvgWidth()

Return svg:width attribute

Returns:
  String

#### getAttrSvgHeight

    String getAttrSvgHeight()

Return svg:height attribute

Returns:
  String

#### getAttrSvgX

    String getAttrSvgX()

Return svg:x attribute

Returns:
  String

#### getAttrSvgY

    String getAttrSvgY()

Return svg:y attribute

Returns:
  String

#### getContentSize

    long getContentSize()

Return number of child elements

Returns:
  long

#### getChildIterator

    Iterator<ODFElement> getChildIterator()

Return iterator for child elements

Returns:
  Iterator<ODFElement>